/* 
 * $Id: ctkmenuitem.h,v 1.4 2000/06/27 04:42:30 terpstra Exp $
 *
 * CTK - Console Toolkit
 *
 * Copyright (C) 1998-2000 Stormix Technologies Inc.
 *
 * License: LGPL
 *
 * Authors: Kevin Lindsay, Wesley Terpstra
 *  
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2 of the License, or (at your option) any later version.
 *    
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *    
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */


#ifndef __CTK_MENU_ITEM_H__
# define __CTK_MENU_ITEM_H__ 

#include "ctkitem.h"

typedef struct CtkMenuItem_S
{
	CtkItem item;
} CtkMenuItem;

void       ctk_menu_item_init(CtkMenuItem* menuitem);
CtkWidget* ctk_menu_item_new_with_label(const gchar* label);
void       ctk_menu_item_select   (CtkMenuItem* menu_item);
void       ctk_menu_item_deselect (CtkMenuItem* menu_item);
void       ctk_menu_item_activate (CtkMenuItem* menu_item);

#define CTK_MENU_ITEM(obj)	CTK_CHECK_CAST((obj),CtkMenuItem,CtkTypeMenuItem)

#endif
